﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="P2022_Appli_AdministrationDataSet2" targetNamespace="http://tempuri.org/P2022_Appli_AdministrationDataSet21.xsd" xmlns:mstns="http://tempuri.org/P2022_Appli_AdministrationDataSet21.xsd" xmlns="http://tempuri.org/P2022_Appli_AdministrationDataSet21.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="P2022_Appli_AdministrationConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="P2022_Appli_AdministrationConnectionString (Settings)" PropertyReference="ApplicationSettings.P2022_FSI_Administration.Properties.Settings.GlobalReference.Default.P2022_Appli_AdministrationConnectionString" Provider="System.Data.Odbc" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="coursTableAdapter" GeneratorDataComponentClassName="coursTableAdapter" Name="cours" UserDataComponentName="coursTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="P2022_Appli_AdministrationConnectionString (Settings)" DbObjectName="P2022_Appli_Administration.cours" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM "P2022_Appli_Administration"."public"."cours" WHERE (("idcours" = ?) AND ("libellecours" = ?) AND ("descriptioncours" = ?) AND ("idclasse" = ?))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_idcours" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idcours" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="Original_libellecours" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="libellecours" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="Original_descriptioncours" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="descriptioncours" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_idclasse" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idclasse" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO "P2022_Appli_Administration"."public"."cours" ("libellecours", "descriptioncours", "idclasse") VALUES (?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="libellecours" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="libellecours" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="descriptioncours" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="descriptioncours" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="idclasse" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idclasse" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT "idcours", "libellecours", "descriptioncours", "idclasse" FROM "public"."cours"</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE "P2022_Appli_Administration"."public"."cours" SET "libellecours" = ?, "descriptioncours" = ?, "idclasse" = ? WHERE (("idcours" = ?) AND ("libellecours" = ?) AND ("descriptioncours" = ?) AND ("idclasse" = ?))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="libellecours" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="libellecours" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="descriptioncours" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="descriptioncours" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="idclasse" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idclasse" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_idcours" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idcours" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="Original_libellecours" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="libellecours" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="Original_descriptioncours" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="descriptioncours" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_idclasse" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="idclasse" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idcours" DataSetColumn="idcours" />
              <Mapping SourceColumn="libellecours" DataSetColumn="libellecours" />
              <Mapping SourceColumn="descriptioncours" DataSetColumn="descriptioncours" />
              <Mapping SourceColumn="idclasse" DataSetColumn="idclasse" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="P2022_Appli_AdministrationDataSet2" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="P2022_Appli_AdministrationDataSet2" msprop:Generator_UserDSName="P2022_Appli_AdministrationDataSet2">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="cours" msprop:Generator_TableClassName="coursDataTable" msprop:Generator_TableVarName="tablecours" msprop:Generator_TablePropName="cours" msprop:Generator_RowDeletingName="coursRowDeleting" msprop:Generator_RowChangingName="coursRowChanging" msprop:Generator_RowEvHandlerName="coursRowChangeEventHandler" msprop:Generator_RowDeletedName="coursRowDeleted" msprop:Generator_UserTableName="cours" msprop:Generator_RowChangedName="coursRowChanged" msprop:Generator_RowEvArgName="coursRowChangeEvent" msprop:Generator_RowClassName="coursRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idcours" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnidcours" msprop:Generator_ColumnPropNameInRow="idcours" msprop:Generator_ColumnPropNameInTable="idcoursColumn" msprop:Generator_UserColumnName="idcours" type="xs:int" />
              <xs:element name="libellecours" msprop:Generator_ColumnVarNameInTable="columnlibellecours" msprop:Generator_ColumnPropNameInRow="libellecours" msprop:Generator_ColumnPropNameInTable="libellecoursColumn" msprop:Generator_UserColumnName="libellecours">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="40" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="descriptioncours" msprop:Generator_ColumnVarNameInTable="columndescriptioncours" msprop:Generator_ColumnPropNameInRow="descriptioncours" msprop:Generator_ColumnPropNameInTable="descriptioncoursColumn" msprop:Generator_UserColumnName="descriptioncours">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="idclasse" msprop:Generator_ColumnVarNameInTable="columnidclasse" msprop:Generator_ColumnPropNameInRow="idclasse" msprop:Generator_ColumnPropNameInTable="idclasseColumn" msprop:Generator_UserColumnName="idclasse" type="xs:int" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:cours" />
      <xs:field xpath="mstns:idcours" />
    </xs:unique>
  </xs:element>
</xs:schema>